@font-face {
  font-family: "Rubik";
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(https://fonts.gstatic.com/s/rubik/v18/iJWZBXyIfDnIV5PNhY1KTN7Z-Yh-B4iFWUUzdYPFkZVOA6w.woff)
    format("woff");
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB,
    U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
* {
  font-family: "Rubik", sans-serif;
}
a,
button {
  outline-color: #b33255;
}
body {
  padding: 1em;
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 95vh;
}
.row,
.row > .tile,
.row > button,
header,
footer {
  display: flex;
  align-items: center;
  justify-content: center;
  touch-action: manipulation;
  text-align: center;
}
.row > .tile,
.row > button {
  margin: 2px;
  padding: 0;
  border-radius: 4px;
  color: #471537;
}
.tile {
  font-size: 1.5em;
  width: 2em;
  height: 2em;
  background-color: #f2f5f7;
  border: 3px solid #c4ccd3;
}
.row.active > .tile {
  border-color: #cd4c6e;
}
button {
  height: 3em;
  width: 40px;
  font-size: 1em;
  background-color: #ebf0f3;
  text-transform: uppercase;
  font-weight: bold;
  border: 0;
  cursor: pointer;
  user-select: none;
}
button:hover {
  background-color: #c4ccd3;
}
button.action {
  width: 60px;
}
.menu {
  text-decoration: none;
  margin: 0 3px;
  font-size: 1.2em;
  border-radius: 3px;
  padding: 0 2px;
}
.menu:last-child {
  font-size: 1.7em;
}
.tile[data-state="wrong"],
button[data-state="wrong"],
.hiContrast #colorMode,
#twit:visited, #twit {
  border-color: #182931;
  background-color: #182931;
  color: #ffffff;
}
.tile[data-state="near"],
button[data-state="near"],
.hiContrast .tile[data-state="correct"],
.hiContrast button[data-state="correct"],
.hiContrast .bar {
  border-color: #fca119;
  background-color: #fca119;
}
.tile[data-state="correct"],
button[data-state="correct"],
.bar {
  border-color: #23e0a8;
  background-color: #23e0a8;
}
.hiContrast .tile[data-state="near"],
.hiContrast button[data-state="near"],
#twit:active,#twit:hover {
  border-color: #04b2e1;
  background-color: #04b2e1;
}
#twit {
  display: none;
  font-size: 1.2em;
  padding: 10px;
  border-radius: 5px;
  text-decoration: none;
}
#announcer,
.modal {
  position: absolute;
  display: none;
  top: 50%;
  left: 50%;
  transform: translateX(-50%) translateY(-50%);
  text-align: center;
  max-width: 400px;
  border-radius: 10px;
  padding: 1em 2em;
  border: 2px solid #ffffff;
  box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  z-index: 100;
}
#announcer {
  color: #ffffff;
  background-color: #471537;
}
.modal {
  font-size: 0.9em;
  color: #434e58;
  background-color: #ffffff;
  min-width: 290px;
  max-width: 400px;
}
header {
  justify-content: space-between;
  max-width: 440px;
  min-width: 400px;
  margin: 0 auto;
  height: 40px;
}
header > img {
  max-height: 40px;
}
footer {
  color: #7a848d;
  font-size: 0.8em;
  height: 40px;
}
a,
a:visited {
  color: #471537;
}
a:hover,
a:active {
  color: #b33255;
}
.close {
  text-decoration: none;
  position: absolute;
  right: 15px;
  top: 15px;
}
#stats .row {
  justify-content: space-between;
  align-items: baseline;
}
#stats .row h5 {
  margin-top: 5px;
}
.stat {
  margin: 0 1em;
}
.stat h4 {
  font-size: 2em;
  margin-bottom: 0;
}
.bar {
  min-width: 2em;
  padding: 5px;
  min-height: 30px;
}
@media only screen and (max-width: 500px) {
  .modal {
    min-width: 80%;
    padding: 0.5em 1em;
  }
  .bar {
    min-width: 1em;
    padding: 2px;
  }
  .stat {
    margin: 0 5px;
  }
  header {
    min-width: 100%;
  }
}
.flip,
.pulse {
  z-index: 0;
}
.flip {
  -webkit-animation: flipin 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
  animation: flipin 0.5s cubic-bezier(0.25, 0.46, 0.45, 0.94) both;
}
.pulse {
  -webkit-animation: pulse 0.15s ease-in-out both;
  animation: pulse 0.15s ease-in-out both;
}
@-webkit-keyframes flipin {
  0% {
    -webkit-transform: rotateX(80deg);
    transform: rotateX(80deg);
    opacity: 0;
  }
  100% {
    -webkit-transform: rotateX(0);
    transform: rotateX(0);
    opacity: 1;
  }
}
@keyframes flipin {
  0% {
    -webkit-transform: rotateX(80deg);
    transform: rotateX(80deg);
    opacity: 0;
  }
  100% {
    -webkit-transform: rotateX(0);
    transform: rotateX(0);
    opacity: 1;
  }
}
@-webkit-keyframes pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
@keyframes pulse {
  0% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
  50% {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
  }
  100% {
    -webkit-transform: scale(1);
    transform: scale(1);
  }
}
